mkosi-addon(1)

BEZEICHNUNG
mkosi-addon – Ergänzungen für Vereinigte Kernelabbilder für das aktuelle System mittels Mkosi bauen

ÜBERSICHT
mkosi-addon [Optionen…]

BESCHREIBUNG
mkosi-addon ist ein Wrapper oberhalb von mkosi(1), um die Erstellung von PE-Ergänzungen zu vereinfachen, die Anpassungen für vereinigte Kernelabbilder enthalten, die auf das laufende oder lokale System angepasst sind. Wird mit x-initrd.attach markierte Einträge in /etc/crypttab und in /etc/kernel/cmdline enthalten. Kernelmodule und Firmware für die laufende Hardware kann aufgenommen werden, falls eine lokale Konfiguration mit der Option KernelModulesIncludeHost= bereitgestellt wird.

OPTIONEN

--kernel-version=
    Kernelversion, bei der nach einzuschließenden Kernelmodulen gesucht werden soll. Standardmäßig die Kernelversion des laufenden Systems (uname -r).

--output=, -o
    Name, der für die erstellte Ausgabe-Ergänzung verwandt wird. Standardmäßig mkosi-local.addon.efi.

--output-dir=, -O
    Pfad zu einem Verzeichnis, in dem alle erstellten Artefakte abgelegt werden. Standardmäßig das aktuelle Arbeitsverzeichnis.

--debug
    Aktiviert zusätzliche Fehlersuchausgaben.

--debug-shell
    Startet eine Fehlersuch-Shell in der Sandbox, falls ein Befehl in einer Sandbox fehlschlägt.

--debug-sandbox
    Führt mkosi-sandbox(1) mit strace(1) aus.

--version
    Zeigt die Paketversion.

--help, -h
    Zeigt einen kurzen Hinweis zum Aufruf.

SIEHE AUCH
mkosi(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.